<div class="dialog--header-title d-flex justify-content-center align-items-center">
  <h1 mat-dialog-title>Monthly Report</h1>
</div>

<div class="hide-scroll" mat-dialog-content>
  <span class="font-weight-bold d-flex justify-content-center"
        [ngClass]="{'spending-color': inflow - outflow < 0, 'income-color': inflow - outflow >= 0}">
            {{inflow - outflow | currency: currencyCode : 'symbol':'0.2-2'}}
  </span>
  <div class="d-flex">
    <div class="w-50 text-center">
      <span>Inflow: </span><span class="income-color">{{inflow | currency: currencyCode : 'symbol':'0.2-2'}}</span>
    </div>
    <div class="w-50 text-center">
      <span>Outflow: </span><span class="spending-color">{{outflow | currency: currencyCode : 'symbol':'0.2-2'}}</span>
    </div>
  </div>
  <mat-tab-group>
    <mat-tab label="Spending">
      <div *ngIf="this.spendingStatistic.length > 0">
        <span class="block-title ml-3">Spending</span>
        <app-ngx-pie-chart [chart]="spendingStatistic" class="hide-scroll-y"></app-ngx-pie-chart>
        <mat-list>
          <mat-list-item *ngFor="let item of spendingStatistic">
            <img matListAvatar src="../../../assets/icon/{{getThumbnail(item.name)}}" alt="...">
            <h3 matLine><b>{{item.name}}</b> <span class="float-right">{{item.value | currency: currencyCode : 'symbol':'0.2-2'}}</span>
            </h3>
          </mat-list-item>
        </mat-list>
      </div>
      <span class="d-flex justify-content-center no-data" *ngIf="this.spendingStatistic.length < 1">
        No data
      </span>
    </mat-tab>
    <mat-tab label="Income">
      <div *ngIf="this.incomeStatistic.length > 0">
        <span class="block-title ml-3">Income</span>
        <app-ngx-pie-chart [chart]="incomeStatistic" class="hide-scroll-y"></app-ngx-pie-chart>
        <mat-list>
          <mat-list-item *ngFor="let item of incomeStatistic">
            <img matListAvatar src="../../../assets/icon/{{getThumbnail(item.name)}}" alt="...">
            <h3 matLine><b>{{item.name}}</b> <span class="float-right">{{item.value | currency: currencyCode : 'symbol':'0.2-2'}}</span>
            </h3>
          </mat-list-item>
        </mat-list>
      </div>
      <span class="d-flex justify-content-center no-data" *ngIf="this.incomeStatistic.length < 1">
        No data
      </span>
    </mat-tab>
  </mat-tab-group>
</div>
